@charset "utf-8";
/*思源黑體*/
/* @font-face {
    font-family: 'Noto Sans TC VF';
    src: url('https://taiwan-image.bookwalker.com.tw/fonts/NotoSansTC-VariableFont_wght.woff2') format('woff2-variations');
    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
    font-family: 'Noto Sans TC VF', 'Microsoft JhengHei','Century Gothic',Arial,sans-serif;
} */

/* a:hover{ opacity:0.9;} *//*滑鼠滑入半透明*/
/*--loading載入中--------------------------------*/
/*遮罩樣式*/
.overlay{ position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); /*半透明背景*/ display: flex; justify-content: center; align-items: center; z-index: 9999;/*確保遮罩層在最上層*/}

/*spinner樣式+旋轉動畫*/
.spinner{ border: 8px solid rgba(0, 0, 0, 0.1); border-left: 8px solid #fff; border-radius: 50%; width: 50px; height: 50px; margin: 0 auto; animation: spin 1s linear infinite;}
@keyframes spin { 0% { transform: rotate(0deg);} 100% { transform: rotate(360deg);}}

/*loading文字*/
.loadingTxt{ margin-top: 10px; font-size: 2rem; color: #fff; font-weight: bold;}

/*--PC、M的隱藏/顯示設定--*/
.pcNo{ display: block;}
.mNo{ display: none;}
.mINBLpcNO{ display: inline-block;}
.pcINBLmNO{ display: none;}

/*--特殊色：文字、連結、heighLight--*/
.heighLightPurple{ background-color: #6f64d1; padding: 0 5px;}
.heighLightGreen{ display: inline-block; margin: 4px 0; background-color: #a7e0a6; padding: 0 5px;}
.heighLightRed{ display: inline-block; margin: 4px 0; background-color: #e7cdc9; padding: 0 5px;}
.txtPurple{ color: #c925bc;}
.txtGreen{ color: #04ac00;}
.txtRed{ color: #df3f24;}
.txtBrown{ color: #936e00;}
.txtBlue{ color: #2487e0;}
.txtYellow{ color: #f7fc30;}
.alink{ color: #0076df; text-decoration: none;}
.alink:hover{ text-decoration: underline;}

/*區塊上下間距-----------------------------------------*/
.bgPadT{ padding-top: 30px;}
.bgPadB{ padding-bottom: 30px}

.bgPadT2{ padding-top: 0;}
.bgPadB2{ padding-bottom: 0;}

.bgPadB3{ padding-bottom: 20px;}

.bgPadTm{ padding-top: 12px;}
.bgPadBm{ padding-bottom: 12px;}

.bgPadTm2{ padding-top: 15px;}
.bgPadBm2{ padding-bottom: 15px;}

/*背景圖-----------------------------------------*/
.bg1{ background-color: #aac45a; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg1.png); background-position: top center; background-size: 400%;}
.bg2{ background-color: #91ab40; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg2.png); background-position: top center; background-size: 400%;}
.bg3{ background-color: #aac45a; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg3.png); background-position: top center; background-size: 222%; background-repeat: no-repeat;}
.bg4{ background-color: #6c9997; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg4.png); background-position: top center; background-size: 222%; background-repeat: no-repeat;}
.bg5{ background-color: #6d8351; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg5.png); background-position: top center; background-size: 222%; background-repeat: no-repeat;}
.bg6{ background-color: #aac45a; background-image: url(https://cp-img.bookwalker.com.tw/event/2026/20260814_original/images/bg6.png); background-position: top center; background-size: 222%; background-repeat: no-repeat;}

/*--header-----------------------------------------*/
/* .headerW{ max-width: 800px; margin: 0 auto; border: #f2dcee 8px solid; overflow: hidden;} */
.headerBox{ overflow: hidden; position: relative;}
.headerBox img{ display: block; width: 100%;}
.headerH{ width: 100%;}

.headerPicFull{ position: absolute; top: 0; left: 0; width: 100%;}
.headerPicHalf{ position: absolute; top: 0; width: 50%;}
.headerPicHalf.left{ left: 0;}
.headerPicHalf.right{ right: 0;}

.headerPic{ position: absolute;}

/*刊頭動畫*/
.headerDrop1{ animation: headerDrop1 3s infinite;}
@keyframes headerDrop1 { 
    0%{ transform: scale(1);}
    50%{ transform: scale(0.95);}
    100% { transform: scale(1);}
}

.headerDrop2{ animation: headerDrop2 3s infinite;}
@keyframes headerDrop2 { 
    0%{ transform: scale(1);}
    50%{ transform: scale(1.05);}
    100% { transform: scale(1);}
}

/*--contain-----------------------------------------*/
.contain{ overflow: hidden;}
/*區塊寬度*/
.areaWidth{ position: relative; width: 94%; margin: 0 auto;}
.areaWidth2{ position: relative; width: 94%; margin: 0 auto;}
.areaWidth3{ position: relative; width: 96%; margin: 0 auto;}

/*主標寬度*/
.mainTitle{ width: 92%; margin: 0 auto 8px auto;}
.mainTitle2{ width: 100%; margin: 0 auto;}
.mainTitle3{ width: 100%; margin: 0 auto 0 auto; position: relative;}
.insideTitle{ width: 90%; margin: 0 auto;}

/*常用(定位+圖片block)*/
.posiRelative{ position: relative;}
.posiAbsolute{ position: absolute;}
.imgBlock100 img{ display: block; width: 100%;}
/*圖片滿版定位*/
.picFull{ position: absolute; top: 0; left: 0; width: 100%;}

/*PC+M同版*/
.areaWidthM{ position: relative; width: 94%; margin: 0 auto;}
.mainTitleM{ width: 100%;}
.wrapperHalf > li{ padding: 2%;}

/*--抓站上書封-----------------------------------------*/
/*書封外框(不需要就移除)*/
.webBookBorder1{ padding: 5px; border: #000000 3px solid; background-color: #a56733;}
.webBookBorder2{ padding: 5px; border: #000000 3px solid; background-color: #989ea6;}
/*書封比例*/
.webBookCover{ overflow: hidden; position: relative; width: 100%; aspect-ratio: 600/883;/*書封比例*/ border: #000000 3px solid;/*書封外框筆畫*/ background-color: #d3d3d3; box-sizing: border-box; border-radius: 0;}
/*書封邊框+陰影*/
.webBookCover a{ overflow: hidden; box-sizing: border-box; width: 100%; height: 100%; position: absolute; top: 0; left: 0; right: 0; margin: 0 auto; border-radius: 3px;}

/*img填滿外框設定*/
.webBookCover img{ width: 100%; height: 100%; 
    object-fit: cover; /*圖片等比例，並填滿外框的寬與高（因此若圖片比例差太多時，可能會有圖片被裁到的狀況）*/
    transform: scale(1.0001);/*用transform觸發瀏覽器重新渲染圖片*/ 
    backface-visibility: hidden;/*避免渲染時的邊緣/閃爍副作用*/
}

/*img縮入外框內(圖片比例差太多，裁到重要部分時補白底)*/
.webBookCover.contain img{
    object-fit: contain; /*圖片等比例縮入外框內（會用白底來補）*/
}
.webBookCover.contain a{
    background-color: #ffffff;/*補的白底可以改顏色*/
}

/*--活動說明(style1)-----------------------------------------*/
/* .noticeStyle1{ margin: 0 auto; padding: 30px 5% 20px 5%; background-color: #cee291; border: #896a46 8px solid; border-radius: 15px;}
.noticeStyle1 .notice2{ max-width: 1000px; margin: 0 auto; color: #000000;}
.noticeStyle1 .noticeTitle{ color: #000000;}
.noticeStyle1 .noticeSecTitle{ color: #000000;}
.noticeStyle1 .notice2 > li > ul > li{ list-style-type: disc;}
.noticeStyle1 .notice2 > li > ul > li a{ color: #2b60cd;} */

/*--活動說明(style2)-----------------------------------------*/
.noticeStyle2{ margin: 15px auto 0 auto; padding: 30px 5% 20px 5%; background-color: #cee291; border: #000000 8px solid; border-radius: 15px;}
.noticeStyle2 .notice{ max-width: 1000px; margin: 0 auto; color: #000000;}
.noticeStyle2 .noticeTitle{ color: #000000;}
.noticeStyle2 .noticeSecTitle{ color: #000000;}
.noticeStyle2 .notice > li{ list-style-type: disc;}
.noticeStyle2 .notice > li a{ color: #2b60cd;}

/*--優惠券-----------------------------------------*/
.couponList{ max-width: 700px; margin: 0 auto;}

/*--繪師-----------------------------------------*/
.authorBox{ width: 138%; margin-left: -19%;}
/*社群媒體*/
.authorSocial{ width: 55%; top: 15%; left: 0; right: 0; margin: 0 auto;}
.listBox.authorSocial > li{ padding: 0 3.5%;}
/*書籍*/
.authorBook1, .authorBook2{ width: 31%; top: 26.5%;}
.authorBook1{ left: 18.6%;}
.authorBook2{ left: 51%;}
/*更多*/
.authorMore{ width: 26%; top: 67.5%; right: 13%;}

/*--首賣新刊-----------------------------------------*/
.firstBox .listBoxFree > li:nth-child(2){ margin-top: -57%;}
.bookNmore{ width: 80%; margin: 0 auto;}

/*--精選推薦-----------------------------------------*/
.recomMore{ width: 88%; margin: 20px auto 0 auto;}

/*--新作者漫畫-----------------------------------------*/
.otherBox{ margin-top: 20px;}
.moreBox{ margin-top: 40px;}

/*--成為個人作者-----------------------------------------*/
.eventBox{ overflow: hidden; max-width: 600px; margin: 0 auto; border: #000000 5px solid; border-radius: 10px;}

/*--sweetAlert-----------------------------------------*/
/*預設按鈕文字大小*/.swal2-actions button {font-size: 1.4rem !important;}



/*--767up(Pc)------------------------*/
@media screen and (min-width:767px) {
    /*--loading載入中--------------------------------*/
    /*loading文字*/.loadingTxt{ font-size: 2.5rem; }

    /*--PC、M的隱藏開啟設定--*/
    .pcNo{ display: none;}
    .mNo{ display: block;}
    .mINBLpcNO{ display: none;}
    .pcINBLmNO{ display: inline-block;}

    /*區塊上下間距-----------------------------------------*/
    .bgPadT{ padding-top: 60px;}
    .bgPadT2{ padding-top: 15px;}

    .bgPadB{ padding-bottom: 90px;}

    .bgPadB2{ padding-bottom: 0;}
    .bgPadB3{ padding-bottom: 40px;}

    /*背景圖-----------------------------------------*/
    .bg1, .bg2, .bg3, .bg4, .bg5, .bg6{ background-attachment: fixed; background-size: 100%;}

    /*--header-----------------------------------------*/
    /* .headerW{ border-width: 15px;} */

    /*--contain-----------------------------------------*/
    /*區塊寬度*/
    .areaWidth{ max-width: 1200px; padding-top: 0;}
    .areaWidth2{ max-width: 1300px;}
    .areaWidth3{ max-width: 900px;}

    /*主標寬度*/
    .mainTitle{ width: 56%; max-width: 500px;}
    .mainTitle2{ width: 65%; max-width: 590px; margin: 0 auto;}
    .mainTitle3{ width: 100%;}

    .wrapper{ width: 40%; max-width: 620px; margin: 0 auto;}
    .wrapperHalf { width: 94%; margin: 0 auto;}
    .wrapperHalf > li{ padding: 2%;}

    /*--活動說明(style1)-----------------------------------------*/
    /* .noticeStyle1{ width: 78%; padding: 30px 5% 50px 5%;} */

    /*--活動說明(style2)-----------------------------------------*/
    .noticeStyle2{ width: 88%; padding: 30px 5% 50px 5%; border-radius: 25px;}

    /*--優惠券-----------------------------------------*/
    .couponList{ margin-bottom: 40px;}

    /*--繪師-----------------------------------------*/
    .authorBox{  width: 100%; max-width: 1000px; margin: 0 auto;}
    /*社群媒體*/
    .authorSocial{ width: 40%; top: 15%; left: 0; right: 0; margin: 0 auto;}
    .listBox.authorSocial > li{ padding: 0 2%;}

    /*--首賣新刊-----------------------------------------*/
    .firstBox .listBoxFree > li{ padding-bottom: 60px;}
    .firstBox .listBoxFree > li:nth-child(1){ margin-top: 15%;}
    .firstBox .listBoxFree > li:nth-child(2){ margin-top: 0; margin-left: -3%;}
    .bookNmore{ width: 100%;}

    /*--精選推薦-----------------------------------------*/
    .recomBox{ margin-top: 80px;}
    .recomMore{ max-width: 450px; margin: 40px auto 0 auto;}

    /*--新作者漫畫-----------------------------------------*/
    .otherBox{ margin-top: 80px;}
    .moreBox{ margin-top: 40px;}


    /*--成為個人作者-----------------------------------------*/
    .eventBox{ border-width: 8px; margin-top: 40px;}

    /*--hover animate--------------------------------*/
    .couponBtn a, .authorBook1 a, .authorBook2 a, .authorMore a, .recomMore a, .eventBox{ display: block; transition: 0.4s;}
    .couponBtn a:hover, .authorMore a:hover, .eventBox:hover{ transform: scale(0.85);}
    .authorBook1 a:hover, .recomMore a:hover{ transform: rotate(-6deg);}
    .authorBook2 a:hover{ transform: rotate(6deg);}
}

/*--768-1024(Pad)------------------------*/
@media screen and (min-width:768px) and (max-width:1024px) { 
    /*背景圖-----------------------------------------*/
    .bg1, .bg2, .bg3, .bg4, .bg5, .bg6{ background-attachment: inherit;}

    /*--contain-----------------------------------------*/
    /*區塊寬度*/
    .areaWidth2{ max-width: 95%;}
    /*主標寬度*/
    .mainTitle3{ width: 90%;}

    .wrapperHalf > li{ padding: 2%;}

    /*--首賣新刊-----------------------------------------*/
    .firstBox .listBoxFree > li:nth-child(1){ margin-top: 14%;}
    .firstBox .listBoxFree > li:nth-child(2){ margin-left: -7%;}

}

/*--1200以下------------------------*/
@media screen and (min-width:767px)  and (max-width:1200px) { 
    /*--contain-----------------------------------------*/
    .wrapper { width: 65%; margin: 0 auto;}

    /*--header-----------------------------------------*/
    .headerPadWidth{ overflow: hidden;}
    .headerPadWidth .headerBox{ width: 166%; margin-left: -33%;}/*平板刊頭放大(讓左右背景超出可視範圍)*/
}

/*--1500以上------------------------*/
@media screen and (min-width:1500px) { 
    .wrapperHalf { max-width: 1400px; margin: 0 auto;}

}

/*--320以下小手機------------------------*/
@media screen and (max-width:320px) {
}

.firstBox .listBoxFree > li:nth-child(1) img{ aspect-ratio: 1053/1532;}
.firstTag img{ aspect-ratio: 750/553;}
.firstMore img{ aspect-ratio: 750/164;}

.recomMore img{ aspect-ratio: 750/290;}

.otherBox img{ aspect-ratio: 350/670;}
.moreBox img{ aspect-ratio: 425/235;}

.eventBox img{ aspect-ratio: 635/400;}


/*--animate.css--------------------------------*/
.animate__animated.animate__delay-02s{-webkit-animation-delay:0.2s;animation-delay:0.2s;}
.animate__animated.animate__delay-03s{-webkit-animation-delay:0.3s;animation-delay:0.3s;}
.animate__animated.animate__delay-04s{-webkit-animation-delay:0.4s;animation-delay:0.4s;}
.animate__animated.animate__delay-05s{-webkit-animation-delay:0.5s;animation-delay:0.5s;}
.animate__animated.animate__delay-06s{-webkit-animation-delay:0.6s;animation-delay:0.6s;}
.animate__animated.animate__delay-07s{-webkit-animation-delay:0.7s;animation-delay:0.7s;}
.animate__animated.animate__delay-08s{-webkit-animation-delay:0.8s;animation-delay:0.8s;}
.animate__animated.animate__delay-10s{-webkit-animation-delay:1.0s;animation-delay:1.0s;}
.animate__animated.animate__delay-12s{-webkit-animation-delay:1.2s;animation-delay:1.2s;}
.animate__animated.animate__delay-13s{-webkit-animation-delay:1.3s;animation-delay:1.3s;}
.animate__animated.animate__delay-14s{-webkit-animation-delay:1.4s;animation-delay:1.4s;}